import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取全部数组
mock.onGet('./assets/json/data-dictionary.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, [
        {
        srfkey: "List__CreatedFromCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "帐户",
                text: "帐户",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "4",
                label: "潜在顾客",
                text: "潜在顾客",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "2",
                label: "联系人",
                text: "联系人",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Campaignactivity__ChannelTypeCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "5",
                label: "传真",
                text: "传真",
                "data":"",
                "codename":"Item_5",
                value: "5",
                
                disabled: false,
            },
            {
                id: "3",
                label: "信件",
                text: "信件",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "9",
                label: "其他",
                text: "其他",
                "data":"",
                "codename":"Item_9",
                value: "9",
                
                disabled: false,
            },
            {
                id: "7",
                label: "电子邮件",
                text: "电子邮件",
                "data":"",
                "codename":"Item_7",
                value: "7",
                
                disabled: false,
            },
            {
                id: "1",
                label: "电话",
                text: "电话",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "2",
                label: "约会",
                text: "约会",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "6",
                label: "通过邮件合并的传真",
                text: "通过邮件合并的传真",
                "data":"",
                "codename":"Item_6",
                value: "6",
                
                disabled: false,
            },
            {
                id: "4",
                label: "通过邮件合并的信件",
                text: "通过邮件合并的信件",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "8",
                label: "通过邮件合并的电子邮件",
                text: "通过邮件合并的电子邮件",
                "data":"",
                "codename":"Item_8",
                value: "8",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Quote__StateCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "3",
                label: "已关闭",
                text: "已关闭",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "1",
                label: "有效",
                text: "有效",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "0",
                label: "草稿",
                text: "草稿",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
            {
                id: "2",
                label: "赢单",
                text: "赢单",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "List__MemberType",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "Account",
                label: "客户",
                text: "客户",
                "data":"",
                "codename":"Account",
                value: "Account",
                
                disabled: false,
            },
            {
                id: "Lead",
                label: "潜在客户",
                text: "潜在客户",
                "data":"",
                "codename":"Lead",
                value: "Lead",
                
                disabled: false,
            },
            {
                id: "Contact",
                label: "联系人",
                text: "联系人",
                "data":"",
                "codename":"Contact",
                value: "Contact",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Salesorder__ShippingMethodCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "2",
                label: "DHL",
                text: "DHL",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "3",
                label: "FedEx",
                text: "FedEx",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "6",
                label: "Full Load",
                text: "Full Load",
                "data":"",
                "codename":"Item_6",
                value: "6",
                
                disabled: false,
            },
            {
                id: "4",
                label: "UPS",
                text: "UPS",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "7",
                label: "Will Call",
                text: "Will Call",
                "data":"",
                "codename":"Item_7",
                value: "7",
                
                disabled: false,
            },
            {
                id: "1",
                label: "航空运输",
                text: "航空运输",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "5",
                label: "邮递",
                text: "邮递",
                "data":"",
                "codename":"Item_5",
                value: "5",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Contact__PaymentTermsCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "2",
                label: "2/10 N30",
                text: "2/10 N30",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "1",
                label: "N30",
                text: "N30",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "3",
                label: "N45",
                text: "N45",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "4",
                label: "N60",
                text: "N60",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "ActivityTypeCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "TASK",
                label: "任务",
                text: "任务",
                "data":{"N_ACTIVITYTYPECODE_EQ":"TASK"},
                "codename":"Task",
                value: "TASK",
                
                disabled: false,
            },
            {
                id: "EMAIL",
                label: "电子邮件",
                text: "电子邮件",
                "data":{"N_ACTIVITYTYPECODE_EQ":"EMAIL"},
                "codename":"Email",
                value: "EMAIL",
                
                disabled: false,
            },
            {
                id: "APPOINTMENT",
                label: "约会",
                text: "约会",
                "data":{"N_ACTIVITYTYPECODE_EQ":"APPOINTMENT"},
                "codename":"Appointment",
                value: "APPOINTMENT",
                
                disabled: false,
            },
            {
                id: "PHONECALL",
                label: "电话联络",
                text: "电话联络",
                "data":{"N_ACTIVITYTYPECODE_EQ":"PHONECALL"},
                "codename":"Phonecall",
                value: "PHONECALL",
                
                disabled: false,
            },
            {
                id: "LETTER",
                label: "信件",
                text: "信件",
                "data":{"N_ACTIVITYTYPECODE_EQ":"LETTER"},
                "codename":"Letter",
                value: "LETTER",
                
                disabled: false,
            },
            {
                id: "FAX",
                label: "传真",
                text: "传真",
                "data":"",
                "codename":"Fax",
                value: "FAX",
                
                disabled: false,
            },
            {
                id: "SERVICEAPPOINTMENT",
                label: "服务活动",
                text: "服务活动",
                "data":{"N_ACTIVITYTYPECODE_EQ":"SERVICEAPPOINTMENT"},
                "codename":"Serviceappointment",
                value: "SERVICEAPPOINTMENT",
                
                disabled: false,
            },
            {
                id: "CAMPAIGNRESPONSE",
                label: "市场活动响应",
                text: "市场活动响应",
                "data":{"N_ACTIVITYTYPECODE_EQ":"CAMPAIGNRESPONSE"},
                "codename":"Campaignresponse",
                value: "CAMPAIGNRESPONSE",
                
                disabled: false,
            },
            {
                id: "CAMPAIGNACTIVITY",
                label: "市场活动项目",
                text: "市场活动项目",
                "data":"",
                "codename":"Campaignactivity",
                value: "CAMPAIGNACTIVITY",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Account__AccountClassificationCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "默认值",
                text: "默认值",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Productsubstitute__SalesRelationshipType",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "交叉销售",
                text: "交叉销售",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "3",
                label: "替代品",
                text: "替代品",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "0",
                label: "追加销售",
                text: "追加销售",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
            {
                id: "2",
                label: "配件",
                text: "配件",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Lead__PurchaseTimeFrame",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "2",
                label: "下一季度",
                text: "下一季度",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "3",
                label: "今年",
                text: "今年",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "4",
                label: "未知",
                text: "未知",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "1",
                label: "本季度",
                text: "本季度",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "0",
                label: "立即",
                text: "立即",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Account__AccountRatingCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "默认值",
                text: "默认值",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Campaign__TypeCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "3",
                label: "事件",
                text: "事件",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "5",
                label: "其他",
                text: "其他",
                "data":"",
                "codename":"Item_5",
                value: "5",
                
                disabled: false,
            },
            {
                id: "1",
                label: "广告",
                text: "广告",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "2",
                label: "直销",
                text: "直销",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "4",
                label: "联合品牌",
                text: "联合品牌",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Account__Address1_FreightTermsCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "FOB",
                text: "FOB",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "2",
                label: "免收费用",
                text: "免收费用",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Lead__LeadSourceCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "8",
                label: "Web",
                text: "Web",
                "data":"",
                "codename":"Item_8",
                value: "8",
                
                disabled: false,
            },
            {
                id: "5",
                label: "公共关系",
                text: "公共关系",
                "data":"",
                "codename":"Item_5",
                value: "5",
                
                disabled: false,
            },
            {
                id: "10",
                label: "其他",
                text: "其他",
                "data":"",
                "codename":"Item_10",
                value: "10",
                
                disabled: false,
            },
            {
                id: "9",
                label: "口碑",
                text: "口碑",
                "data":"",
                "codename":"Item_9",
                value: "9",
                
                disabled: false,
            },
            {
                id: "4",
                label: "合作伙伴",
                text: "合作伙伴",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "2",
                label: "员工推荐",
                text: "员工推荐",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "3",
                label: "外部推荐",
                text: "外部推荐",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "7",
                label: "展销会",
                text: "展销会",
                "data":"",
                "codename":"Item_7",
                value: "7",
                
                disabled: false,
            },
            {
                id: "1",
                label: "广告",
                text: "广告",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "6",
                label: "研讨会",
                text: "研讨会",
                "data":"",
                "codename":"Item_6",
                value: "6",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Salesliterature__LiteratureTypeCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "产品表单",
                text: "产品表单",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "7",
                label: "价格表单",
                text: "价格表单",
                "data":"",
                "codename":"Item_7",
                value: "7",
                
                disabled: false,
            },
            {
                id: "9",
                label: "公司背景",
                text: "公司背景",
                "data":"",
                "codename":"Item_9",
                value: "9",
                
                disabled: false,
            },
            {
                id: "6",
                label: "公告",
                text: "公告",
                "data":"",
                "codename":"Item_6",
                value: "6",
                
                disabled: false,
            },
            {
                id: "100001",
                label: "市场营销宣传材料",
                text: "市场营销宣传材料",
                "data":"",
                "codename":"Item_100001",
                value: "100001",
                
                disabled: false,
            },
            {
                id: "8",
                label: "手册",
                text: "手册",
                "data":"",
                "codename":"Item_8",
                value: "8",
                
                disabled: false,
            },
            {
                id: "5",
                label: "新闻",
                text: "新闻",
                "data":"",
                "codename":"Item_5",
                value: "5",
                
                disabled: false,
            },
            {
                id: "0",
                label: "演示文稿",
                text: "演示文稿",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
            {
                id: "4",
                label: "电子表格",
                text: "电子表格",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "2",
                label: "策略和步骤",
                text: "策略和步骤",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "3",
                label: "销售宣传资料",
                text: "销售宣传资料",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
        ]
    },
    {
        "srfkey": "SysOperator",
        "emptytext": "未定义",
        "codelisttype":"dynamic",
        "appdataentity":"",
        "appdedataset":"",
        "items": []
    },
    {
        srfkey: "Account__OwnershipCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "公共事业",
                text: "公共事业",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "4",
                label: "其他",
                text: "其他",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "3",
                label: "子公司",
                text: "子公司",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "2",
                label: "私人公司",
                text: "私人公司",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Activitypointer__StateCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "2",
                label: "已取消",
                text: "已取消",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "1",
                label: "已完成",
                text: "已完成",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "0",
                label: "已开启",
                text: "已开启",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
            {
                id: "3",
                label: "已计划",
                text: "已计划",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "YesNo",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "是",
                text: "是",
                "data":"",
                "codename":"Item_1",
                value: 1,
                
                disabled: false,
            },
            {
                id: "0",
                label: "否",
                text: "否",
                "data":"",
                "codename":"Item_0",
                value: 0,
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Invoice__StatusCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "7",
                label: "全额付款(已弃用)",
                text: "全额付款(已弃用)",
                "data":"",
                "codename":"Item_7",
                value: "7",
                
                disabled: false,
            },
            {
                id: "100001",
                label: "完成",
                text: "完成",
                "data":"",
                "codename":"Item_100001",
                value: "100001",
                
                disabled: false,
            },
            {
                id: "100003",
                label: "已取消",
                text: "已取消",
                "data":"",
                "codename":"Item_100003",
                value: "100003",
                
                disabled: false,
            },
            {
                id: "3",
                label: "已取消(已弃用)",
                text: "已取消(已弃用)",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "6",
                label: "已安装(适用于服务)",
                text: "已安装(适用于服务)",
                "data":"",
                "codename":"Item_6",
                value: "6",
                
                disabled: false,
            },
            {
                id: "4",
                label: "已记帐",
                text: "已记帐",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "5",
                label: "已预定(适用于服务)",
                text: "已预定(适用于服务)",
                "data":"",
                "codename":"Item_5",
                value: "5",
                
                disabled: false,
            },
            {
                id: "1",
                label: "新建",
                text: "新建",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "100002",
                label: "部分",
                text: "部分",
                "data":"",
                "codename":"Item_100002",
                value: "100002",
                
                disabled: false,
            },
            {
                id: "2",
                label: "部分发货",
                text: "部分发货",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Task__PriorityCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "0",
                label: "低",
                text: "低",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
            {
                id: "1",
                label: "正常",
                text: "正常",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "2",
                label: "高",
                text: "高",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Quote__ShippingMethodCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "2",
                label: "DHL",
                text: "DHL",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "3",
                label: "FedEx",
                text: "FedEx",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "6",
                label: "Full Load",
                text: "Full Load",
                "data":"",
                "codename":"Item_6",
                value: "6",
                
                disabled: false,
            },
            {
                id: "4",
                label: "UPS",
                text: "UPS",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "7",
                label: "Will Call",
                text: "Will Call",
                "data":"",
                "codename":"Item_7",
                value: "7",
                
                disabled: false,
            },
            {
                id: "1",
                label: "航空运输",
                text: "航空运输",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "5",
                label: "邮递",
                text: "邮递",
                "data":"",
                "codename":"Item_5",
                value: "5",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Productsubstitute__Direction",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "0",
                label: "单向",
                text: "单向",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
            {
                id: "1",
                label: "双向",
                text: "双向",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Contact__StateCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "停用",
                text: "停用",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "0",
                label: "可用",
                text: "可用",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Salesorder__PaymentTermsCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "2",
                label: "2/10 N30",
                text: "2/10 N30",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "1",
                label: "N30",
                text: "N30",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "3",
                label: "N45",
                text: "N45",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "4",
                label: "N60",
                text: "N60",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Account__CustomerTypeCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "11",
                label: "供应商",
                text: "供应商",
                "data":"",
                "codename":"Item_11",
                value: "11",
                
                disabled: false,
            },
            {
                id: "10",
                label: "供货商",
                text: "供货商",
                "data":"",
                "codename":"Item_10",
                value: "10",
                
                disabled: false,
            },
            {
                id: "12",
                label: "其他",
                text: "其他",
                "data":"",
                "codename":"Item_12",
                value: "12",
                
                disabled: false,
            },
            {
                id: "5",
                label: "合作伙伴",
                text: "合作伙伴",
                "data":"",
                "codename":"Item_5",
                value: "5",
                
                disabled: false,
            },
            {
                id: "3",
                label: "客户",
                text: "客户",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "6",
                label: "影响者",
                text: "影响者",
                "data":"",
                "codename":"Item_6",
                value: "6",
                
                disabled: false,
            },
            {
                id: "4",
                label: "投资者",
                text: "投资者",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "7",
                label: "新闻界",
                text: "新闻界",
                "data":"",
                "codename":"Item_7",
                value: "7",
                
                disabled: false,
            },
            {
                id: "8",
                label: "目标客户",
                text: "目标客户",
                "data":"",
                "codename":"Item_8",
                value: "8",
                
                disabled: false,
            },
            {
                id: "1",
                label: "竞争对手",
                text: "竞争对手",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "9",
                label: "经销商",
                text: "经销商",
                "data":"",
                "codename":"Item_9",
                value: "9",
                
                disabled: false,
            },
            {
                id: "2",
                label: "顾问",
                text: "顾问",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Account__Address1_AddressTypeCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "3",
                label: "主要地址",
                text: "主要地址",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "4",
                label: "其他",
                text: "其他",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "1",
                label: "帐单邮寄地址",
                text: "帐单邮寄地址",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "2",
                label: "送货地址",
                text: "送货地址",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Account__AccountCategoryCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "2",
                label: "标准",
                text: "标准",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "1",
                label: "首选客户",
                text: "首选客户",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Invoice__ShippingMethodCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "2",
                label: "DHL",
                text: "DHL",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "3",
                label: "FedEx",
                text: "FedEx",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "6",
                label: "Full Load",
                text: "Full Load",
                "data":"",
                "codename":"Item_6",
                value: "6",
                
                disabled: false,
            },
            {
                id: "4",
                label: "UPS",
                text: "UPS",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "7",
                label: "Will Call",
                text: "Will Call",
                "data":"",
                "codename":"Item_7",
                value: "7",
                
                disabled: false,
            },
            {
                id: "1",
                label: "航空运输",
                text: "航空运输",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "5",
                label: "邮递",
                text: "邮递",
                "data":"",
                "codename":"Item_5",
                value: "5",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Lead__StatusCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "6",
                label: "不再感兴趣",
                text: "不再感兴趣",
                "data":"",
                "codename":"Item_6",
                value: "6",
                
                disabled: false,
            },
            {
                id: "4",
                label: "丢单",
                text: "丢单",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "7",
                label: "已取消",
                text: "已取消",
                "data":"",
                "codename":"Item_7",
                value: "7",
                
                disabled: false,
            },
            {
                id: "3",
                label: "已合格",
                text: "已合格",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "2",
                label: "已联系",
                text: "已联系",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "1",
                label: "新建",
                text: "新建",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "5",
                label: "无法联系",
                text: "无法联系",
                "data":"",
                "codename":"Item_5",
                value: "5",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Quote__FreightTermsCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "FOB",
                text: "FOB",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "2",
                label: "免收费用",
                text: "免收费用",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Opportunity__PurchaseProcess",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "0",
                label: "个人",
                text: "个人",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
            {
                id: "1",
                label: "委员会",
                text: "委员会",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "2",
                label: "未知",
                text: "未知",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Salesorder__StatusCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "100001",
                label: "完成",
                text: "完成",
                "data":"",
                "codename":"Item_100001",
                value: "100001",
                
                disabled: false,
            },
            {
                id: "100003",
                label: "已开发票",
                text: "已开发票",
                "data":"",
                "codename":"Item_100003",
                value: "100003",
                
                disabled: false,
            },
            {
                id: "2",
                label: "待定",
                text: "待定",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "1",
                label: "新建",
                text: "新建",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "4",
                label: "无现金",
                text: "无现金",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "3",
                label: "正在进行",
                text: "正在进行",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "100002",
                label: "部分",
                text: "部分",
                "data":"",
                "codename":"Item_100002",
                value: "100002",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Campaign__StatusCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "6",
                label: "停用",
                text: "停用",
                "data":"",
                "codename":"Item_6",
                value: "6",
                
                disabled: false,
            },
            {
                id: "1",
                label: "准备启动",
                text: "准备启动",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "4",
                label: "已取消",
                text: "已取消",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "2",
                label: "已启动",
                text: "已启动",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "3",
                label: "已完成",
                text: "已完成",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "0",
                label: "已建议",
                text: "已建议",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
            {
                id: "5",
                label: "已暂停",
                text: "已暂停",
                "data":"",
                "codename":"Item_5",
                value: "5",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Lead__IndustryCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "Accounting",
                text: "Accounting",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "2",
                label: "Agriculture and Non-petrol Natural Resource Extraction",
                text: "Agriculture and Non-petrol Natural Resource Extraction",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "3",
                label: "Broadcasting Printing and Publishing",
                text: "Broadcasting Printing and Publishing",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "4",
                label: "Brokers",
                text: "Brokers",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "5",
                label: "Building Supply Retail",
                text: "Building Supply Retail",
                "data":"",
                "codename":"Item_5",
                value: "5",
                
                disabled: false,
            },
            {
                id: "6",
                label: "Business Services",
                text: "Business Services",
                "data":"",
                "codename":"Item_6",
                value: "6",
                
                disabled: false,
            },
            {
                id: "7",
                label: "Consulting",
                text: "Consulting",
                "data":"",
                "codename":"Item_7",
                value: "7",
                
                disabled: false,
            },
            {
                id: "8",
                label: "Consumer Services",
                text: "Consumer Services",
                "data":"",
                "codename":"Item_8",
                value: "8",
                
                disabled: false,
            },
            {
                id: "9",
                label: "Design, Direction and Creative Management",
                text: "Design, Direction and Creative Management",
                "data":"",
                "codename":"Item_9",
                value: "9",
                
                disabled: false,
            },
            {
                id: "10",
                label: "Distributors, Dispatchers and Processors",
                text: "Distributors, Dispatchers and Processors",
                "data":"",
                "codename":"Item_10",
                value: "10",
                
                disabled: false,
            },
            {
                id: "11",
                label: "Doctor's Offices and Clinics",
                text: "Doctor's Offices and Clinics",
                "data":"",
                "codename":"Item_11",
                value: "11",
                
                disabled: false,
            },
            {
                id: "12",
                label: "Durable Manufacturing",
                text: "Durable Manufacturing",
                "data":"",
                "codename":"Item_12",
                value: "12",
                
                disabled: false,
            },
            {
                id: "13",
                label: "Eating and Drinking Places",
                text: "Eating and Drinking Places",
                "data":"",
                "codename":"Item_13",
                value: "13",
                
                disabled: false,
            },
            {
                id: "14",
                label: "Entertainment Retail",
                text: "Entertainment Retail",
                "data":"",
                "codename":"Item_14",
                value: "14",
                
                disabled: false,
            },
            {
                id: "15",
                label: "Equipment Rental and Leasing",
                text: "Equipment Rental and Leasing",
                "data":"",
                "codename":"Item_15",
                value: "15",
                
                disabled: false,
            },
            {
                id: "17",
                label: "Food and Tobacco Processing",
                text: "Food and Tobacco Processing",
                "data":"",
                "codename":"Item_17",
                value: "17",
                
                disabled: false,
            },
            {
                id: "18",
                label: "Inbound Capital Intensive Processing",
                text: "Inbound Capital Intensive Processing",
                "data":"",
                "codename":"Item_18",
                value: "18",
                
                disabled: false,
            },
            {
                id: "19",
                label: "Inbound Repair and Services",
                text: "Inbound Repair and Services",
                "data":"",
                "codename":"Item_19",
                value: "19",
                
                disabled: false,
            },
            {
                id: "20",
                label: "Insurance",
                text: "Insurance",
                "data":"",
                "codename":"Item_20",
                value: "20",
                
                disabled: false,
            },
            {
                id: "21",
                label: "Legal Services",
                text: "Legal Services",
                "data":"",
                "codename":"Item_21",
                value: "21",
                
                disabled: false,
            },
            {
                id: "22",
                label: "Non-Durable Merchandise Retail",
                text: "Non-Durable Merchandise Retail",
                "data":"",
                "codename":"Item_22",
                value: "22",
                
                disabled: false,
            },
            {
                id: "23",
                label: "Outbound Consumer Service",
                text: "Outbound Consumer Service",
                "data":"",
                "codename":"Item_23",
                value: "23",
                
                disabled: false,
            },
            {
                id: "24",
                label: "Petrochemical Extraction and Distribution",
                text: "Petrochemical Extraction and Distribution",
                "data":"",
                "codename":"Item_24",
                value: "24",
                
                disabled: false,
            },
            {
                id: "25",
                label: "Service Retail",
                text: "Service Retail",
                "data":"",
                "codename":"Item_25",
                value: "25",
                
                disabled: false,
            },
            {
                id: "26",
                label: "SIG Affiliations",
                text: "SIG Affiliations",
                "data":"",
                "codename":"Item_26",
                value: "26",
                
                disabled: false,
            },
            {
                id: "27",
                label: "Social Services",
                text: "Social Services",
                "data":"",
                "codename":"Item_27",
                value: "27",
                
                disabled: false,
            },
            {
                id: "28",
                label: "Special Outbound Trade Contractors",
                text: "Special Outbound Trade Contractors",
                "data":"",
                "codename":"Item_28",
                value: "28",
                
                disabled: false,
            },
            {
                id: "29",
                label: "Specialty Realty",
                text: "Specialty Realty",
                "data":"",
                "codename":"Item_29",
                value: "29",
                
                disabled: false,
            },
            {
                id: "30",
                label: "Transportation",
                text: "Transportation",
                "data":"",
                "codename":"Item_30",
                value: "30",
                
                disabled: false,
            },
            {
                id: "31",
                label: "Utility Creation and Distribution",
                text: "Utility Creation and Distribution",
                "data":"",
                "codename":"Item_31",
                value: "31",
                
                disabled: false,
            },
            {
                id: "32",
                label: "Vehicle Retail",
                text: "Vehicle Retail",
                "data":"",
                "codename":"Item_32",
                value: "32",
                
                disabled: false,
            },
            {
                id: "33",
                label: "Wholesale",
                text: "Wholesale",
                "data":"",
                "codename":"Item_33",
                value: "33",
                
                disabled: false,
            },
            {
                id: "16",
                label: "金融业",
                text: "金融业",
                "data":"",
                "codename":"Item_16",
                value: "16",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Productpricelevel__PricingMethodCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "2",
                label: "定价百分比",
                text: "定价百分比",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "5",
                label: "成本加成百分比 - 标准成本",
                text: "成本加成百分比 - 标准成本",
                "data":"",
                "codename":"Item_5",
                value: "5",
                
                disabled: false,
            },
            {
                id: "3",
                label: "成本加成百分比 – 当前成本",
                text: "成本加成百分比 – 当前成本",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "1",
                label: "货币金额",
                text: "货币金额",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "4",
                label: "边际百分比 – 当前成本",
                text: "边际百分比 – 当前成本",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "6",
                label: "边际百分比 – 标准成本",
                text: "边际百分比 – 标准成本",
                "data":"",
                "codename":"Item_6",
                value: "6",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Account__Address1_ShippingMethodCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "2",
                label: "DHL",
                text: "DHL",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "3",
                label: "FedEx",
                text: "FedEx",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "6",
                label: "Full Load",
                text: "Full Load",
                "data":"",
                "codename":"Item_6",
                value: "6",
                
                disabled: false,
            },
            {
                id: "4",
                label: "UPS",
                text: "UPS",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "7",
                label: "Will Call",
                text: "Will Call",
                "data":"",
                "codename":"Item_7",
                value: "7",
                
                disabled: false,
            },
            {
                id: "1",
                label: "航空运输",
                text: "航空运输",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "5",
                label: "邮递",
                text: "邮递",
                "data":"",
                "codename":"Item_5",
                value: "5",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Productpricelevel__QuantitySellingCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "2",
                label: "整数",
                text: "整数",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "3",
                label: "整数和小数",
                text: "整数和小数",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "1",
                label: "无控制",
                text: "无控制",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Activitypointer__PriorityCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "0",
                label: "低",
                text: "低",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
            {
                id: "1",
                label: "正常",
                text: "正常",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "2",
                label: "高",
                text: "高",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Account__IndustryCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "Accounting",
                text: "Accounting",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "2",
                label: "Agriculture and Non-petrol Natural Resource Extraction",
                text: "Agriculture and Non-petrol Natural Resource Extraction",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "3",
                label: "Broadcasting Printing and Publishing",
                text: "Broadcasting Printing and Publishing",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "4",
                label: "Brokers",
                text: "Brokers",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "5",
                label: "Building Supply Retail",
                text: "Building Supply Retail",
                "data":"",
                "codename":"Item_5",
                value: "5",
                
                disabled: false,
            },
            {
                id: "6",
                label: "Business Services",
                text: "Business Services",
                "data":"",
                "codename":"Item_6",
                value: "6",
                
                disabled: false,
            },
            {
                id: "7",
                label: "Consulting",
                text: "Consulting",
                "data":"",
                "codename":"Item_7",
                value: "7",
                
                disabled: false,
            },
            {
                id: "8",
                label: "Consumer Services",
                text: "Consumer Services",
                "data":"",
                "codename":"Item_8",
                value: "8",
                
                disabled: false,
            },
            {
                id: "9",
                label: "Design, Direction and Creative Management",
                text: "Design, Direction and Creative Management",
                "data":"",
                "codename":"Item_9",
                value: "9",
                
                disabled: false,
            },
            {
                id: "10",
                label: "Distributors, Dispatchers and Processors",
                text: "Distributors, Dispatchers and Processors",
                "data":"",
                "codename":"Item_10",
                value: "10",
                
                disabled: false,
            },
            {
                id: "11",
                label: "Doctors Offices and Clinics",
                text: "Doctors Offices and Clinics",
                "data":"",
                "codename":"Item_11",
                value: "11",
                
                disabled: false,
            },
            {
                id: "12",
                label: "Durable Manufacturing",
                text: "Durable Manufacturing",
                "data":"",
                "codename":"Item_12",
                value: "12",
                
                disabled: false,
            },
            {
                id: "13",
                label: "Eating and Drinking Places",
                text: "Eating and Drinking Places",
                "data":"",
                "codename":"Item_13",
                value: "13",
                
                disabled: false,
            },
            {
                id: "14",
                label: "Entertainment Retail",
                text: "Entertainment Retail",
                "data":"",
                "codename":"Item_14",
                value: "14",
                
                disabled: false,
            },
            {
                id: "15",
                label: "Equipment Rental and Leasing",
                text: "Equipment Rental and Leasing",
                "data":"",
                "codename":"Item_15",
                value: "15",
                
                disabled: false,
            },
            {
                id: "17",
                label: "Food and Tobacco Processing",
                text: "Food and Tobacco Processing",
                "data":"",
                "codename":"Item_17",
                value: "17",
                
                disabled: false,
            },
            {
                id: "18",
                label: "Inbound Capital Intensive Processing",
                text: "Inbound Capital Intensive Processing",
                "data":"",
                "codename":"Item_18",
                value: "18",
                
                disabled: false,
            },
            {
                id: "19",
                label: "Inbound Repair and Services",
                text: "Inbound Repair and Services",
                "data":"",
                "codename":"Item_19",
                value: "19",
                
                disabled: false,
            },
            {
                id: "20",
                label: "Insurance",
                text: "Insurance",
                "data":"",
                "codename":"Item_20",
                value: "20",
                
                disabled: false,
            },
            {
                id: "21",
                label: "Legal Services",
                text: "Legal Services",
                "data":"",
                "codename":"Item_21",
                value: "21",
                
                disabled: false,
            },
            {
                id: "22",
                label: "Non-Durable Merchandise Retail",
                text: "Non-Durable Merchandise Retail",
                "data":"",
                "codename":"Item_22",
                value: "22",
                
                disabled: false,
            },
            {
                id: "23",
                label: "Outbound Consumer Service",
                text: "Outbound Consumer Service",
                "data":"",
                "codename":"Item_23",
                value: "23",
                
                disabled: false,
            },
            {
                id: "24",
                label: "Petrochemical Extraction and Distribution",
                text: "Petrochemical Extraction and Distribution",
                "data":"",
                "codename":"Item_24",
                value: "24",
                
                disabled: false,
            },
            {
                id: "25",
                label: "Service Retail",
                text: "Service Retail",
                "data":"",
                "codename":"Item_25",
                value: "25",
                
                disabled: false,
            },
            {
                id: "26",
                label: "SIG Affiliations",
                text: "SIG Affiliations",
                "data":"",
                "codename":"Item_26",
                value: "26",
                
                disabled: false,
            },
            {
                id: "27",
                label: "Social Services",
                text: "Social Services",
                "data":"",
                "codename":"Item_27",
                value: "27",
                
                disabled: false,
            },
            {
                id: "28",
                label: "Special Outbound Trade Contractors",
                text: "Special Outbound Trade Contractors",
                "data":"",
                "codename":"Item_28",
                value: "28",
                
                disabled: false,
            },
            {
                id: "29",
                label: "Specialty Realty",
                text: "Specialty Realty",
                "data":"",
                "codename":"Item_29",
                value: "29",
                
                disabled: false,
            },
            {
                id: "30",
                label: "Transportation",
                text: "Transportation",
                "data":"",
                "codename":"Item_30",
                value: "30",
                
                disabled: false,
            },
            {
                id: "31",
                label: "Utility Creation and Distribution",
                text: "Utility Creation and Distribution",
                "data":"",
                "codename":"Item_31",
                value: "31",
                
                disabled: false,
            },
            {
                id: "32",
                label: "Vehicle Retail",
                text: "Vehicle Retail",
                "data":"",
                "codename":"Item_32",
                value: "32",
                
                disabled: false,
            },
            {
                id: "33",
                label: "Wholesale",
                text: "Wholesale",
                "data":"",
                "codename":"Item_33",
                value: "33",
                
                disabled: false,
            },
            {
                id: "16",
                label: "金融业",
                text: "金融业",
                "data":"",
                "codename":"Item_16",
                value: "16",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Phonecall__PriorityCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "0",
                label: "低",
                text: "低",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
            {
                id: "1",
                label: "正常",
                text: "正常",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "2",
                label: "高",
                text: "高",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Lead__StateCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "2",
                label: "不合格",
                text: "不合格",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "1",
                label: "已合格",
                text: "已合格",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "0",
                label: "已开始",
                text: "已开始",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Salesorder__FreightTermsCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "FOB",
                text: "FOB",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "2",
                label: "免收费用",
                text: "免收费用",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Contact__ShippingMethodCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "默认值",
                text: "默认值",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Account__StateCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "停用",
                text: "停用",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "0",
                label: "可用",
                text: "可用",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Contact__FamilyStatusCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "4",
                label: "丧偶",
                text: "丧偶",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "1",
                label: "单身",
                text: "单身",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "2",
                label: "已婚",
                text: "已婚",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "3",
                label: "离异",
                text: "离异",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Quote__PaymentTermsCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "2",
                label: "2/10 N30",
                text: "2/10 N30",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "1",
                label: "N30",
                text: "N30",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "3",
                label: "N45",
                text: "N45",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "4",
                label: "N60",
                text: "N60",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Contact__LeadSourceCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "默认值",
                text: "默认值",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Contact__GenderCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "2",
                label: "女",
                text: "女",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "1",
                label: "男",
                text: "男",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "FQG_ActivityPointer",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "ALL",
                label: "全部活动",
                text: "全部活动",
                "data":{},
                "codename":"All",
                value: "ALL",
                
                disabled: false,
            },
            {
                id: "TASK",
                label: "任务",
                text: "任务",
                "data":{"n_activitytypecode_eq":"TASK"},
                "codename":"Task",
                value: "TASK",
                
                disabled: false,
            },
            {
                id: "EMAIL",
                label: "电子邮件",
                text: "电子邮件",
                "data":{"n_activitytypecode_eq":"EMAIL"},
                "codename":"Email",
                value: "EMAIL",
                
                disabled: false,
            },
            {
                id: "APPOINTMENT",
                label: "约会",
                text: "约会",
                "data":{"n_activitytypecode_eq":"APPOINTMENT"},
                "codename":"Appointment",
                value: "APPOINTMENT",
                
                disabled: false,
            },
            {
                id: "PHONECALL",
                label: "电话联络",
                text: "电话联络",
                "data":{"n_activitytypecode_eq":"PHONECALL"},
                "codename":"Phonecall",
                value: "PHONECALL",
                
                disabled: false,
            },
            {
                id: "OTHER",
                label: "其他",
                text: "其他",
                "data":"",
                "codename":"Other",
                value: "OTHER",
                
                disabled: false,
            },
            {
                id: "LETTER",
                label: "信件",
                text: "信件",
                "data":{"n_activitytypecode_eq":"LETTER"},
                "codename":"Letter",
                value: "LETTER",
                "pvalue": "OTHER",
                disabled: false,
            },
            {
                id: "FAX",
                label: "传真",
                text: "传真",
                "data":"",
                "codename":"Fax",
                value: "FAX",
                "pvalue": "OTHER",
                disabled: false,
            },
            {
                id: "SERVICEAPPOINTMENT",
                label: "服务活动",
                text: "服务活动",
                "data":{"n_activitytypecode_eq":"SERVICEAPPOINTMENT"},
                "codename":"Serviceappointment",
                value: "SERVICEAPPOINTMENT",
                "pvalue": "OTHER",
                disabled: false,
            },
            {
                id: "CAMPAIGNRESPONSE",
                label: "市场活动响应",
                text: "市场活动响应",
                "data":{"n_activitytypecode_eq":"CAMPAIGNRESPONSE"},
                "codename":"Campaignresponse",
                value: "CAMPAIGNRESPONSE",
                "pvalue": "OTHER",
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Invoice__PaymentTermsCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "2",
                label: "2/10 N30",
                text: "2/10 N30",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "1",
                label: "N30",
                text: "N30",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "3",
                label: "N45",
                text: "N45",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "4",
                label: "N60",
                text: "N60",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Account__PreferredContactMethodCode",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "1",
                label: "任何方式",
                text: "任何方式",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "4",
                label: "传真",
                text: "传真",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "2",
                label: "电子邮件",
                text: "电子邮件",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "3",
                label: "电话",
                text: "电话",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "5",
                label: "邮件",
                text: "邮件",
                "data":"",
                "codename":"Item_5",
                value: "5",
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: "Opportunity__PurchaseTimeframe",
        emptytext: "未定义",
        "codelisttype":"static",
        items: [
            {
                id: "2",
                label: "下一季度",
                text: "下一季度",
                "data":"",
                "codename":"Item_2",
                value: "2",
                
                disabled: false,
            },
            {
                id: "3",
                label: "今年",
                text: "今年",
                "data":"",
                "codename":"Item_3",
                value: "3",
                
                disabled: false,
            },
            {
                id: "4",
                label: "未知",
                text: "未知",
                "data":"",
                "codename":"Item_4",
                value: "4",
                
                disabled: false,
            },
            {
                id: "1",
                label: "本季度",
                text: "本季度",
                "data":"",
                "codename":"Item_1",
                value: "1",
                
                disabled: false,
            },
            {
                id: "0",
                label: "立即",
                text: "立即",
                "data":"",
                "codename":"Item_0",
                value: "0",
                
                disabled: false,
            },
        ]
    }
    ]];
});

